Bug 1300053 - glog-devel missing dependency on gflags-devel
glog-devel missing dependency on gflags-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glog (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Filipe Rosset
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 15:37 EST by Matthew Woehlke
Modified: 2017-08-06 23:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-06 23:49:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2016-01-19 15:37:35 EST
Description of problem:
glog-devel depends on gflags-devel, but does not express this dependency, making it possible to install (an unusable) glog-devel without gflags-devel installed.

Version-Release number of selected component (if applicable):
glog-devel-0.3.3-10.fc23.x86_64

How reproducible:
Always? (May depend on features of glog being used.)

Steps to Reproduce:
1. Try to build an application that uses glog

Actual results:
In file included from /usr/include/ceres/internal/fixed_array.h:39:0,
                 from /usr/include/ceres/internal/autodiff.h:147,
                 from /usr/include/ceres/autodiff_cost_function.h:132,
                 from /usr/include/ceres/ceres.h:37,
                 from ...:
/usr/include/glog/logging.h:85:27: fatal error: gflags/gflags.h: No such file or directory
compilation terminated.


Expected results:
Successful build.
Comment 1 Fedora End Of Life 2016-11-24 10:04:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Xiangyang Chen 2016-12-03 02:43:56 EST
Confirmed. 

Version: Fedora 24, 25, rawhide
Package: glog-devel

glog-devel SHOULD require gflags-devel, or else no programs will be compiled.
Comment 3 Fedora End Of Life 2017-07-25 15:48:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.